#### D.4.7.7 sat

Procedure from library `elim.lib` (see elim_lib).

Usage:
  sat(id,j); id=ideal/module, j=ideal

Return:
  ideal/module
  saturation of id with respect to j (= union_(k=1...) of id:j^k)

Note:
  result is a standard basis in the basering

Example:

    LIB "elim.lib";
    ring r     = 2,(x,y,z),dp;
    poly F     = x5+y5+(x-y)^2*xyz;
    ideal j    = jacob(F);
    sat(j,maxideal(1));
    ==> _[1]=x3+x2y+xy2+y3
    ==> _[2]=y4+x2yz+y3z
    ==> _[3]=x2y2+y4
    sat(j,maxideal(2));
    ==> _[1]=x3+x2y+xy2+y3
    ==> _[2]=y4+x2yz+y3z
    ==> _[3]=x2y2+y4

See also: modSat; sat_with_exp.

User manual for Singular version 4.4.1, 2025, generated by texi2html.